Bug 506542 - fv_all, fv_network test traceback
fv_all, fv_network test traceback
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 13:15 EDT by Greg Nichols
Modified: 2014-03-25 20:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ====== there's a typo in fv_all, fv_network tests Consequence: ============ fv_all, fv_network tests traceback Fix: ==== fixed the typo in fv_network test. Result: ======= fv_all was removed from the test suite and fv_network test runs as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 12:35:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Nichols 2009-06-17 13:15:12 EDT
Description of problem:

Traceback (most recent call last):
  File "./fv_all.py", line 44, in ?
    returnValue = test.do(sys.argv)
  File "/usr/share/v7/lib/v7/test.py", line 257, in do
    return self.run()
  File "./fv_all.py", line 40, in run
    return FvTest.run()

Line 40 should read:

    return FvTest.run(self)

Version-Release number of selected component (if applicable):

v7 1.0 R6
Comment 2 Greg Nichols 2009-06-18 10:30:39 EDT
fv_network also has this bug
Comment 5 zhanghaiyan 2009-08-13 04:54:50 EDT
Verified pass with v7-1.0-14.el5 on RHEL5.4-Server-i386-xen

Test step:
1. As ./fv_all.py is removed, so don't need test this script
2. # cat /usr/share/v7/tests/fv_network/fv_network.py
   ...............
   
        # otherwise
        print "Using test server %s" % self.getTestServer()
        return FvTest.run(self)

Could find Line 40 has been updated as expected
Comment 8 YangKun 2009-08-21 02:32:01 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
======
there's a typo in fv_all, fv_network tests

Consequence:
============
fv_all, fv_network tests traceback

Fix:
====
fixed the typo in fv_network test.

Result:
=======
fv_all was removed from the test suite and fv_network test runs as expected.
Comment 9 errata-xmlrpc 2009-08-27 12:35:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html

Note You need to log in before you can comment on or make changes to this bug.